
%define upstream_name    Net-Dropbox-API
%define upstream_version 1.7

Name:       perl-%{upstream_name}
Version:     %{upstream_version}
Release:    %mkrel 1

Summary: Net-Dropbox-AP - Perl Dropbox
License: GPL+ or Artistic
Group:	 Development/Perl
URL:	 http://search.cpan.org/dist/%{upstream_name}
Source0: Net-Dropbox-API-%{upstream_version}.tar.xz
BuildRequires: perl-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}

%description
The Dropbox API is a OAuth based API.


%prep
%setup -q -n Net-Dropbox-API-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc Changes README
/*

%changelog
* Mon Nov 28 2011 Texstar <texstar at gmail.com> 1.7-1pclos2011
- import into pclos

